Page MenuHomeFreeBSD

Add missing ACPI GICv2 MSI/MSI-X attachment
ClosedPublic

Authored by greg_unrelenting.technology on Jun 26 2019, 8:47 PM.

Details

Summary

This lets PCIe MSI-X device interrupts work on the MACCHIATObin (Marvell Armada 8k), which allows e.g. the Intel igb NIC to fully work :)

(idk why, but the card did not receive packets at all with the legacy interrupt it was falling back to)

Test Plan

(if anyone wants to test for themselves on a mcbin, you currently need to remove the ECAM shift in the ACPI tables)

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

greg_unrelenting.technology edited the test plan for this revision. (Show Details)Jun 26 2019, 8:51 PM
greg_unrelenting.technology added a subscriber: mw.
greg_unrelenting.technology retitled this revision from Add missing ACPI GICv2 MSI/MSI-X support to Add missing ACPI GICv2 MSI/MSI-X attachment.Jun 26 2019, 8:54 PM
mw accepted this revision.Jun 27 2019, 6:22 AM
This revision is now accepted and ready to land.Jun 27 2019, 6:22 AM
bcran accepted this revision as: bcran.Jun 28 2019, 1:14 AM
This revision was automatically updated to reflect the committed changes.